// Executed on menu button click:
$('#menu-btn').click(function() {
    toggle_nav();
})

$('.menu-link').click(function(e) {
    e.preventDefault();
    var destination = $(this).attr('href');
    // wait if sidebar has full width
    if (sidenav_full_width() == true) {
        // shrink sidenav
        toggle_nav();
        // scroll after finished
        setTimeout(function() {
            console.log(destination);
            $("html, body").scrollTop( $(destination).offset().top); //.offset().top);
        }, 525);
    }
    else {
        $("html, body").scrollTop( $(destination).offset().top); //.offset().top);
    }

})


function toggle_nav() {
    // if sidenav is expanded: closeNav()
    if ($('.sidenav').hasClass('side-expanded')) {
        closeNav();
    }
    // else openNav()
    else {
        openNav();
    }
}

function sidenav_full_width() {
    var sidebar_width = $('.sidenav').width();
    var window_width = $(window).width();
    if (sidebar_width == window_width) {
        return true;
    }
    else {
        return false;
    }
}


function openNav() {
    // change layout of sidenav and main
    $('#sidenav').addClass('side-expanded');
    $('#main').addClass('main-shrinked');
    // hide scroll on small devices
    if ($(window).width() <= 991) {
        $('body').css('overflow', 'hidden');
    }
    // animate the button
    $('.menu-container').addClass('change');
}

function closeNav() {
    // change layout of sidenav and main
    $('#sidenav').removeClass('side-expanded');
    $('#main').removeClass('main-shrinked');
    // display scroll on small devices
    if ($(window).width() <= 991) {
        $('body').css('overflow', 'scroll');
    }
    // animate the button
    $('.menu-container').removeClass('change');
}
